(* $Id: data_rt.mli,v 1.1 2010-12-04 07:06:11 deraugla Exp $ *)

open Rt;
open Glob_glob;

type graph_rt =
  { zooms_sch : mutable list (widget * widget * zoom_info widget);
    zooms_dam : mutable list (widget * widget * zoom_info widget);
    resp_f_time : mutable list widget;
    color : array Da.da_color;
    pixmap : array Da.da_pixmap;
    black_col : Da.da_color;
    white_col : Da.da_color;
    red_col : Da.da_color;
    blue_col : Da.da_color;
    backg_rep_col : Da.da_color;
    gray : Da.da_color;
    raw_font : Da.da_font;
    bigger_font : Da.da_font;
    smaller_font : Da.da_font;
    term_font : array Rt.font;
    dd : Da.da_data }
;

type draw = (Da.da_data * string * Rt.widget);
type gc = ref Da.da_paint;

type t = t_gen Da.common graph_rt draw gc Da.da_font Rt.widget;
type scenario = scenario_gen graph_rt;
