(* $Id: dmisc.ml,v 1.3 2011-02-03 13:21:18 deraugla Exp $ *)

value default_main_text =
  "                  WELCOME TO DAMEID\n\
    \n\
    - To enter a set of tasks with their associated parameters,\n\
    \n     \
         select Edit/Change parameters\n\
    \n\
    - To open a scenario file, previously saved or created in a\n  \
      text editor,\n\
    \n     \
         select File/Open"
;

value default_zoom_help =
  "                          HOW TO ZOOM\n\
    \n\
    To zoom in the schedule or in the dameid, click with the first button\n\
    of the mouse.\n\
    \n\
    A window appears. It is a display twice greater around the area in\n\
    question. The center of the zoom is indicated by a small circle. You\n\
    can zoom again by typing 'z' on the keyboard in the zoom window,\n\
    what doubles the enlarging each time. To unzoom, type 'u'.\n\
    \n\
    To center the zoom to another place, click on that place. The keyboard\n\
    arrows \"left\", \"right\", \"up\" and \"down\" allow to move the \
    center of the\n\
    zoom by a quarter of the window size.\n\
    \n\
    The mouse wheel allows to move up and down.\n\
    \n\
    It is possible to increase or reduce the zoom window as desired.\n\
    \n\
    Several zoom windows can be used.\n\
    \n\
    To close a zoom window, one can type \"escape\" on the keyboard."
;

value text_rows_cols s =
  loop 1 0 0 0 where rec loop rows cols curr_col i =
    if i = String.length s then (rows, max cols curr_col)
    else
      match s.[i] with
      [ '\n' -> loop (rows + 1) (max cols curr_col) 0 (i + 1)
      | c -> loop rows cols (curr_col + 1) (i + 1) ]
;
