(* $Id: draw_dameid_rt.mli,v 1.17 2010-12-04 07:06:11 deraugla Exp $ *)

open Glob_glob;
open Data_rt;

type drawable = (Da.da_data * string * Rt.widget);

value dameid_drawable_of_zoom :
  Rt.widget -> Da.da_data -> zoom Rt.widget -> drawable;
value caption_drawable :
  Rt.widget -> Da.da_data -> drawable;

value min_zoom_dx : scenario -> zoom_info _ -> int;
value max_zoom_dx : scenario -> zoom_info _ -> int;
value min_zoom_dy : scenario -> zoom_info _ -> int;
value max_zoom_dy : scenario -> zoom_info _ -> int;
