(* $Id: openfile.mli,v 1.7 2010-11-27 16:07:26 deraugla Exp $ *)

open Glob_glob;

value save_dir_excursion : (unit -> unit) -> unit;

value dir_files_nb_rows : array (int * int * string) -> int;
value dir_files : string -> int -> (array (int * int * string) * int);

value read_all_dameids :
  string -> in_channel -> option (list Sparse.dameid_file);
value input_dameid_scenarios :
  t_gen α β γ δ ε ζ → string → ((Dtasks.tasks * string) → scenario_gen β) →
    option int;

value get_dameid_files :
  list string -> option Ast.algorithm -> list (Sparse.dameid_file * string);
