(* $Id: draw_schedule.mli,v 1.25 2010-11-29 10:19:15 deraugla Exp $ *)

open Glob_glob;

value draw_repetition :
  gfun α β γ δ ε → scenario_gen α → β → γ → zoom ε → unit;
value draw_units :
  gfun α β γ δ ε → scenario_gen α → β → γ → zoom ε → unit;
value draw_unit :
  gfun α β γ δ ε → scenario_gen α → β → γ → zoom ε → gcolor → int →
    int → unit;
value draw_skeleton :
  gfun α β γ δ ε → scenario_gen α → β → γ → zoom ε → unit;
value draw_latencies :
  gfun α β γ δ ε → scenario_gen α → β → γ → zoom ε → bool → unit;

value draw_schedule :
  gfun α β γ δ ε → scenario_gen α → β → γ → unit;

value draw_mesoid_unit :
  gfun α β γ δ ε → scenario_gen α → β → γ → gcolor → int → unit;
value draw_mesoid_units :
  gfun α β γ δ ε → scenario_gen α → β → γ → unit;
value draw_mesoid_skeleton :
  gfun α β γ δ ε → scenario_gen α → β → γ → unit;

value draw_mesoid :
  gfun α β γ δ ε → scenario_gen α → γ → β → unit;

value gen_update_draw :
  gfun α β γ δ ε → scenario_gen α → γ → β → β → β →
    (gcolor → int → int → unit) → unit;

(* temporary *)
value left_sched : int;
value right_sched : int -> int;
(*
value sched_x :
  gfun α β γ δ ε → scenario_gen α → β → zoom ε → int → int → int;
value sched_y :
  gfun α β γ δ ε → scenario_gen α → β → zoom ε → int → int;
*)
