(* $Id: draw_schedule_rt.mli,v 1.20 2010-12-04 07:06:11 deraugla Exp $ *)

open Rt;

open Data_rt;
open Glob_glob;

type drawable = (Da.da_data * string * Rt.widget);

value schedule_drawable_of_zoom :
  Rt.widget → Da.da_data → zoom Rt.widget → drawable;
value mesoid_drawable :
  Rt.widget → Da.da_data → drawable;

value min_zoom_dx : scenario -> zoom_info _ -> int;
value max_zoom_dx : scenario -> zoom_info _ -> int;
value min_zoom_dy : scenario -> zoom_info _ -> int;
value max_zoom_dy : scenario -> zoom_info _ -> int;

value expose_schedule :
  gfun graph_rt (Da.da_data * string * Rt.widget) (ref Da.da_paint) α β →
    t_gen γ graph_rt δ ε ζ η → int → Rt.widget → unit;
