(* $Id: scenario_rt.mli,v 1.3 2011-02-03 13:08:54 deraugla Exp $ *)

open Data_rt;
open Rt;

value make_scenario :
  xdata -> Da.common -> (Dtasks.tasks * string) -> scenario;
value empty_scenario :
  xdata -> Da.common -> string -> scenario;

value current_scenario : t -> scenario;
value raise_scenario : t -> Tabwid.tab_info -> int -> unit;
value erase_scenario : t -> Tabwid.tab_info -> int -> unit;

value scenario_desc :
  xargs -> t -> Tabwid.tab_info -> (widget -> keysym -> unit) -> int ->
    widget_desc;
value make_moving_schedule_widget : t -> int -> unit;
