(* $Id: tabwid.mli,v 1.9 2008-04-02 01:25:38 deraugla Exp $ *)

open Rt;

type tab_info = 'abstract;

value tab_desc :
  list attribute -> (tab_info * list widget_desc) -> pack_event_handler ->
    widget_desc;

value tab_info :
  string -> font -> list string -> (tab_info -> int -> unit) ->
    (tab_info -> int -> unit) -> bool -> tab_info;
    (* [tab_info name font tab_labels tab_raise tab_erase hidden] creates a
       tab_info value usable for [tab_desc]. The [name] is used for tab
       names ([name] followed by underscore and tab number). *)

value tab_set : xdata -> tab_info -> int -> unit;

value tab_hide : xdata -> tab_info -> unit;
value tab_show : xdata -> tab_info -> unit;
value tab_add : xdata -> tab_info -> string -> widget_desc -> unit;
value tab_erase : xdata -> tab_info -> int -> unit;
    (* four functions which need a call to rt_adjust_widget on the
       top level window to terminate the job *)
